This plugin hasn’t been updated in over 2 years. It may no longer be maintained or supported and may have compatibility issues when used with more recent versions of WordPress.

OB Page Numbers

Description

This plugin is based on the wp-page-numbers plugin built by Jens Törnell.
The concept and css come from that, but the plugin has been totally recoded.

Please note: As with all pagination plugins, this plugin requires that you amend some coding in your theme. See the Installation guide.

User friendly navigation

  • With page numbers instead of next and previous links users can easily navigate much quicker to the page they want.
  • It can help with SEO (Search Engine Optimisation) because it creates a tighter inner link structure.
  • Works with all well known browsers (Internet Explorer, Firefox, Opera and Safari).

Screenshots

  • Classic
  • Default
  • Panther
  • Stylish
  • Tiny

Installation

  1. Upload the FOLDER ‘ob-page-numbers’ to the /wp-content/plugins/
  2. Activate the plugin ‘OB Page Numbers’ through the ‘Plugins’ menu in admin
  3. Make the code changes below.
  4. Go to ‘Options’ or ‘Settings’ and then ‘OB Page Numbers’ to change the options

Code changes

This is the code change for the default WordPress theme. If you’re using a different theme you may need to amend the code differently.

Replace the the ‘next_posts_link()’ and ‘previous_posts_link()’ with the code below in your theme (archive.php, index.php or search.php).

<?php if(function_exists('ob_page_numbers')) { ob_page_numbers(); } ?>

Contributors & Developers

“OB Page Numbers” is open source software. The following people have contributed to this plugin.

Contributors

Translate “OB Page Numbers” into your language.

Interested in development?

Browse the code, check out the SVN repository, or subscribe to the development log by RSS.

Changelog

Verson 1.1.1

This update fixes a bug that means the final page is missed off the pagination list.

How do I report a bug?

  • Contact me here.
  • Describe the problem as well as you can, your plugin version, WordPress version and possible conflicting plugins and so on.